- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Static Public Member Functions | List of all members
G::CleanupImp Class Reference

A private implementation class used by G::Cleanup. More...

## Static Public Member Functions
static void | add (void(*fn)(SignalSafe, const char *), const char *)
static void | installDefault (int)
static void | callHandlers ()
static void | ignore (int)

## Detailed Description

A private implementation class used by G::Cleanup.

Definition at line 42 of file gcleanup_unix.cpp.

## Member Function Documentation

void G::CleanupImp::add | ( | void(*)(SignalSafe, const char *) | fn,
|  | const char * | arg
| ) |  |
| static

Definition at line 100 of file gcleanup_unix.cpp.

Referenced by G::Cleanup::add().

void G::CleanupImp::callHandlers | ( |  | ) |
| static

Definition at line 155 of file gcleanup_unix.cpp.

Referenced by gcleanup_unix_handler_().

void G::CleanupImp::ignore | ( | int | signum | ) |
| static

Definition at line 146 of file gcleanup_unix.cpp.

Referenced by G::Cleanup::init().

void G::CleanupImp::installDefault | ( | int | signum | ) |
| static

Definition at line 122 of file gcleanup_unix.cpp.

Referenced by gcleanup_unix_handler_().

The documentation for this class was generated from the following file:

- gcleanup_unix.cpp